Subject: Re: Package Lint
From: "Robert Collins" <[email-masked]>
To: "Michael A Chase" <[email-masked]>, "Charles Wilson" <[email-masked]>, "Joshua Franklin" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 19 Jan 2002 11:25:09 +1100

----- Original Message -----
From: "Michael A Chase" <[email-masked]>

> I have been away for a while and would be interested in working on a
package
> lint as a way of getting back in the loop.  What would you like it to
check
> first?
>
> My first thought would be to make it a Perl script.

I'm open on this. I expect at some point to produce a setup.ini linter,
and that could be called from a perls script easily enough. (We should
have the same parser code reused, to prevent syncronisation errors).

> Likely features:
> 1. No /usr/info/dir allowed.
> 2. Syntax check setup.hints.

upset is perl now, I'd suggest you extend upset.
Also, for efficiency, write a flag - same foobar.checked - when you
check a file (be it a setup.hint or package), and only recheck if the
file is newer than the flag.

This is because untarring a 100Mb of archives every upload is a waste of
CPU time - and the server is quite loaded already.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/